<!-- <app-navbar></app-navbar> -->

<video [muted]="true" autoplay playsinline loop id="myVideo">
  <source src="/assets/images/bg1.mp4" type="video/mp4">
  Your browser does not support HTML5 video.
</video>

<html>

<!-- 28/2 add login box div here -->

<!--check if it is stories ?   -->
<div class="login-box" *ngIf="openIntro">
    <button class="startBtn" type="button" (click)="beginWizard()">
        BUILD YOUR GAME
    </button>
    <div id='info' *ngIf="openIntro">
      <a style="text-align: center;"(click)="toggleInfo()"><cds-icon shape="info-standard" solid size="md" ></cds-icon> How to Build A Story</a>
      <span id="info-words">Click to view the instruction on how to build a visual novel game</span>
    </div>

    <!--<button (click)="clearLocalStorage()">CLEAR STORAGE</button>-->
</div>


<div id="tutorialsection">
  <clr-modal [(clrModalOpen)]="openInfoModal" clrModalSize="xl" [clrModalClosable]="false" >
    <h3 class="modal-title">Otoro Visual Novel Game Builder Tutorial</h3>

      <div class="modal-body">
        <div *ngIf="openInfoModal" >
          <img class = "TutImage" [src]= 'tutorialImage' >
        </div>
      </div>
    <div class="modal-footer">
      <button class="btn btn-link" (click)="resetTutorial()">Close</button>
      <button type="button" class="btn btn-outline" (click)="tutorialBack()">Previous</button>
      <button type="button" class="btn btn-primary" (click)="tutorialNext()" *ngIf="sequence<this.builderguide.length-1">Next</button>
      <button type="button" class="btn btn-success" (click)="resetTutorial()" *ngIf="sequence==this.builderguide.length-1">Finish</button>
    </div>
  </clr-modal>
</div>

<div>
  <!--(clrWizardOnCancel)="testing()"-->
    <clr-wizard #myWizard [(clrWizardOpen)]="opened" [clrWizardClosable]="true" >
        <clr-wizard-title>VN Game Builder</clr-wizard-title>
        <!-- <ng-template clrPageButtons> -->
            <!-- <clr-wizard-button [type]="'cancel'" (click)="close()">Close</clr-wizard-button> -->
            <clr-wizard-button [type]="'cancel'" class="btn btn-danger-outline" (click)="cancellationWarning()"><span style="color: rgb(252, 64, 64);" >remove all changes</span></clr-wizard-button>
            <clr-wizard-button [type]="'previous'">previous</clr-wizard-button>
            <clr-wizard-button [type]="'next'" >next</clr-wizard-button>
            <clr-wizard-button [type]="'finish'" (click)="previewGame()" [clrWizardButtonDisabled]="addWinLose==true && submitLoseDisabledStatus==true && submitWinDisabledStatus==true">Preview Game</clr-wizard-button>
            <clr-wizard-button [type]="'finish'" (click)="submitStory()" [clrWizardButtonDisabled]="addWinLose==true && submitLoseDisabledStatus==true && submitWinDisabledStatus==true">Create Game</clr-wizard-button>
        <!-- </ng-template> -->
        <form class="clr-form clr-form-vertical" [formGroup]="testForm">
        <clr-wizard-page [clrWizardPageNextDisabled]="!testForm.value.storyTitle">
            <ng-template clrPageTitle>Story Title</ng-template>

            <div class="clr-form clr-form-horizontal" *ngIf="!disabledStoryTitle">
              <clr-input-container>
                <label >Fill in Story title</label>

                <input type='text' clrInput placeholder= "Enter your story title" formControlName="storyTitle"  required>
            </clr-input-container>
            </div>

            <div *ngIf="disabledStoryTitle">
                Story Title: {{testForm.value.storyTitle}}  
            </div>


              
        </clr-wizard-page>
        <!-- [clrWizardPageNextDisabled]="!testForm.value.attributes.length >0" -->
        <clr-wizard-page [clrWizardPageNextDisabled]="disableMeterNextButton">
            <ng-template clrPageTitle>Game Meter</ng-template>
            <div class="alert alert-warning" role="alert">
              <div class="alert-items">
                <div class="alert-item static">
                  <div class="alert-icon-wrapper">
                    <clr-icon class="alert-icon" shape="exclamation-triangle"></clr-icon>
                  </div>
                  <span class="alert-text">
                    Newly Added Meter Effect in scenarios will be 0 if Meter is added after created scene(s)!
                  </span>
                </div>
              </div>
            </div>
            <div *ngIf="meterNameError" class="alert alert-danger" role="alert">
              <div class="alert-items">
                <div class="alert-item static">
                  <div class="alert-icon-wrapper">
                    <clr-icon class="alert-icon" shape="exclamation-circle"></clr-icon>
                  </div>
                  <span class="alert-text">
                    Error: Do not enter same meter name!
                  </span>
                </div>
              </div>
            </div>
            <div *ngIf="winningScoreValidate" class="alert alert-danger" role="alert">
              <div class="alert-items">
                <div class="alert-item static">
                  <div class="alert-icon-wrapper">
                    <clr-icon class="alert-icon" shape="exclamation-circle"></clr-icon>
                  </div>
                  <span class="alert-text">
                    Error: Winning Score can only be within 0 to 100!
                  </span>
                </div>
              </div>
            </div>
              <!-- <span style="color:#e28698; font: Metropolis Regular; font-size: medium;">Note: Newly Added Meter Effect in scenarios will be 0 if Meter is added after created scene(s)!</span> -->
            <!-- <br> -->

                <div formArrayName = "attributes">
                  <div class="clr-row">
                    <div class="clr-col-lg-4 clr-col-4" *ngFor="let meter of attributes.controls; let meterIndex=index"> 
                      <div class= "card" [formGroupName]="meterIndex">
                        <div class="card-header">
                          <clr-input-container>
                            <!--<label>Meter No: {{meterIndex+1}} </label>-->
                              <label>Meter {{meterIndex+1}} Name: </label><br><br>
                              <input clrInput type="text" formControlName="attributeName" required>
                          </clr-input-container>
                        </div>
                            <!--Winning Score : -->
                            <!--<input clrInput type="text" formControlName="winningScore">-->
                        <div class="card-block">
                          <div class="card-text">
                            <clr-textarea-container>
                            <label>Meter Description: </label><br>
                            <textarea clrTextarea name="" id="" cols="20" rows="5" formControlName="attributeDescription" required></textarea>
                            </clr-textarea-container>

                            <clr-input-container>
                              <!-- <strong>{{meter.value.winningScore}}</strong> -->
                              <label>Current Winning Score: </label>
                              <input clrInput type="number" min="0" max="100" formControlName="winningScore" required>
                            </clr-input-container>
                          </div>
                        </div>
                        <div class="card-footer">
                          <button class="btn btn-outline" [disabled]="disableRemoveMeter" (click)="removeMeter(meterIndex)">Remove Meter {{meterIndex+1}} </button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <br>
                
                <button class="btn btn-outline" [disabled]="testForm.value.attributes.length>2 || disableAddMeter==true" (click)="addMeter();">Add Meter</button><br><br> 
            
        </clr-wizard-page>

        <!--[clrWizardPageNextDisabled]="disableSceneNextButton"-->
        
        <clr-wizard-page  [clrWizardPageNextDisabled]="disableSceneNextButton">
            <ng-template clrPageTitle>Scenarios</ng-template>
            <!-- <clr-input-container> -->
            <div formArrayName = "scenes" >
              <div class="clr-row">
                <div class="clr-col-lg-4 clr-col-4" *ngFor="let scene of scenes.controls; let sceneIndex=index"> 
                  <div class= "card" [formGroupName]=sceneIndex>
                    <div class="card-header">
                      Scene {{sceneIndex+1}}: {{allSceneTitle![sceneIndex] }}
                    </div>
                    <!-- <h1>Scene: {{sceneIndex+1}}</h1><br> -->
                    <div class="card-footer">
                      <button class="btn btn-outline btn-sm" (click)="editSceneForm(sceneIndex)">Edit Scene</button>
                      <br><br>
                      <button class="btn btn-primary btn-sm" (click)="removeScene(sceneIndex)" >Remove Scene</button><br><br>
                      <!--allBackGroundImages![sceneIndex] == '' && allDescription![sceneIndex] == '' && -->
                      <button class="btn btn-success btn-sm" (click)="previewScene(sceneIndex)" [disabled]="allSceneTitle![sceneIndex] === undefined || allSceneTitle![sceneIndex] === '' ">Preview Scene</button>
                      <a target="_blank" [routerLink]="['/game']" click="passObject()"></a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <br>
            <div>
              <button class="btn btn-outline"  (click)="addScene();">Add Scenario</button>
            </div>        
            <!-- </clr-input-container> -->
              <!-- <button (click)="printItems()">print Items</button> -->
              <!--<button (click)="addStory()">save</button>-->
              
        </clr-wizard-page>

        <clr-wizard-page>
          <ng-template clrPageTitle>Final Scene (optional)</ng-template>
            <!-- <app-scenebuilder></app-scenebuilder> -->
            <div>
            Do you want to add both winning & losing scene ?
            <button class="label label-light-blue  clickable" (click)="addWinningLosingScene()">Yes</button>
            <button class="label label-light-blue  clickable" (click)="removeWinningLosingScene()">No</button>
            </div>
            <br>
            <div *ngIf="addWinLose">
              <div class="clr-row">
                <div class="clr-col-lg-5 clr-col-md-8 clr-col-12">
                  <div class="card">
                    <div class="card-header">Winning Scene</div>
                    <div class="card-footer">
                      <button class="btn btn-outline btn-sm" (click)="editWinningScene()">Edit Winning scenes</button><br><br>
                      <button class="btn btn-success btn-sm" (click)="previewfinalScene('winning')" [disabled]="submitWinDisabledStatus">Preview Winning scenes</button>
                      <!-- [disabled]="submitWinDisabledStatus==true" -->
                    </div>
                  </div>
                </div>
                <div class="clr-col-lg-5 clr-col-md-8 clr-col-12">
                  <div class="card">
                    <div class="card-header">Losing Scene</div>
                    <div class="card-footer">
                      <button class="btn btn-outline btn-sm" (click)="editLosingScene()">Edit Losing scenes</button><br><br>
                      <button class="btn btn-success btn-sm" (click)="previewfinalScene('losing')" [disabled]="submitLoseDisabledStatus">Preview Losing scenes</button>
                      <!-- [disabled]="submitLoseDisabledStatus==true" -->
                    </div>
                  </div>
                </div>
              </div>
            </div>

        </clr-wizard-page>
        <!-- <clr-wizard-page>
          <ng-template clrPageTitle>Preview</ng-template>
            <div>
              <button id="previewbtn" class="btn btn-success" (click)="previewGame()">Preview Game</button>
            </div>
            <br>

        </clr-wizard-page> -->
        </form>
    </clr-wizard>
</div>
</html>

<clr-modal [(clrModalOpen)]="openModal"  clrModalSize="xl" >
  <!--style="padding: 10px;"-->
    <div class="modal-body" >
      <div *ngIf="openModal" >
        <app-scenebuilder (sendStackNo)="receiveStackNoFrmChild($event)" (sendStoryToParent)="receiveSceneFrmChild($event)" (toggleModal)="toggleModal($event)" [incomingSceneNumber]="inputSceneNumber"></app-scenebuilder>        
      </div>
    </div>

    <div class="modal-footer">
      <button type="button" class="btn btn-outline" (click)="openModal = false">Cancel</button>

      <!-- <div *ngIf="submitDisabledStatus; else statusNotDisabled">
        <button type="button" class="btn btn-primary" [disabled]="true">Submit</button>
      </div> -->
      <!-- <ng-template #statusNotDisabled> -->
        <button type="button" class="btn btn-primary" (click)="submitSceneOnClick()" [disabled]="submitDisabledStatus">Submit</button>
      <!-- </ng-template> -->
      
    </div>
</clr-modal>


<clr-modal [(clrModalOpen)]="openEditWinningScene"clrModalSize="xl" >
  <div class="modal-body">
    <div *ngIf="openEditWinningScene">
      <app-winlosescene (toggleWinModal)="toggleWinModal($event)" (sendSceneTypeToParent)="receiveSceneTypeFrmChild($event)" [outgoingSceneType]="inputSceneType"></app-winlosescene>
    </div>
  </div>

  <div class="modal-footer">
    <button type="button" class="btn btn-outline" (click)="openEditWinningScene = false">Cancel</button>
    <div *ngIf="submitWinDisabledStatus; else statusWinNotDisabled">
      <button type="button" class="btn btn-primary" [disabled]="true">Submit</button>
    </div>
    <ng-template #statusWinNotDisabled>
      <button type="button" class="btn btn-primary" (click)="submitWinOnClick()" [disabled]="false">Submit</button>
    </ng-template>
  </div>
</clr-modal>


<clr-modal [(clrModalOpen)]="openEditLosingScene" clrModalSize="xl">
  <div class="modal-body">
    <div *ngIf="openEditLosingScene">
      <app-winlosescene (toggleLoseModal)="toggleLoseModal($event)" (sendSceneTypeToParent)="receiveSceneTypeFrmChild($event)" [outgoingSceneType]="inputSceneType"></app-winlosescene>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline" (click)="openEditLosingScene = false">Cancel</button>
    <div *ngIf="submitLoseDisabledStatus; else statusLoseNotDisabled">
      <button type="button" class="btn btn-primary" [disabled]="true">Submit</button>
    </div>
    <ng-template #statusLoseNotDisabled>
      <button type="button" class="btn btn-primary" (click)="submitLostOnClick()" [disabled]="false">Submit</button>
    </ng-template>
  </div>
</clr-modal>



<div *ngIf="uploadSuccess">
  <div class="modal">
         <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true">
         <div class="modal-content">
                <h1>Upload Story Success !</h1>
         </div>
         </div>
  </div>
  <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>

<div *ngIf="uploadFailed">
  <div class="modal">
         <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true">
         <div class="modal-content" >
          <cds-icon style="float:right; cursor:pointer;" shape="window-close" size="md" (click) = "uploadFailed = false"></cds-icon> 
          <br>
        <h1  style="font-family: 'Quicksand'; font-size:18px;">Upload Story Failed.
              <br>       
              Please contact <a href="mailto: otoroVN209@gmail.com">Otoro Adminstrator</a>.
              <br>
              <!-- <button type="button" class="btn btn-outline" (click)="uploadFailed = false">Close</button> -->
            </h1>
         </div>
         </div>
  </div>
  <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>

<div *ngIf="spinning">
  <div class="modal-backdrop" aria-hidden="true">
         <div class="loading">
                <!--<h1>Uploading in progress</h1>-->
                <clr-spinner></clr-spinner><h2>Loading...</h2>
         </div>
  </div>
</div>


<!--<div *ngIf="openWarningModal">
  <div class="modal">
         <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true">
         <div class="modal-content">
                <h1>Are you sure you want to quit the wizard, all changes will not be saved ! </h1>
         </div>
         </div>
         <div class="modal-footer">
          <button type="button" class="btn btn-primary" (click)="clearStorageFromWarningModal()">Yes</button>
          <button type="button" class="btn btn-primary" (click)="openWarningModal = false">No</button>
        </div>
  </div>
  <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>-->


  <clr-modal [(clrModalOpen)]="openWarningModal">
    <div class="modal-body" >
      <div *ngIf="openWarningModal" >
        <div class="clear-button">
        Are you sure you want to remove all changes ? 
        <br>
        </div>
        <div class="clear-button">
        <button type="button" class="btn btn-warning" (click)="clearStorageFromWarningModal()">Yes</button>
        <button type="button" class="btn btn-primary" (click)="dontClearFromLocalStorage()">No</button>
      </div>
      </div>
    </div>
  </clr-modal>

<!--
<div class="modal-body" >
  <div *ngIf="openWarningModal" >
    <div class="clear-button">
    Are you sure you want to remove all changes ? 
    <br>
    </div>
    <div class="clear-button">
    <button type="button" class="btn btn-warning" (click)="clearStorageFromWarningModal()">Yes</button>
    <button type="button" class="btn btn-primary" (click)="dontClearFromLocalStorage()">No</button>
  </div>
  </div>
</div>-->
